# RPM specfile for the MailDocumentation package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)MailDocumentation.spec	1.15.1.1 11/20/19 18:46:54
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name MailDocumentation
%define version 1.15
%define release 1.1

Summary: Mail archive of configuration/documentation files
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/MailDocumentation-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch

License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils gnupg mutt tar findutils hdparm
%else
Requires: pdksh coreutils gnupg mutt tar findutils
%endif
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
You maintain various machines and update documentation and/or configuration on the machines.
You want to keep a copy of the files that you maintain for the time when one of the
becomes unavailable or even lost.

This script automatically emails you the files when they change. Unless it is automatic
the copy that you have will probably be out of date when you need it.

Since passwords and the such may be sent the files emailed are encrypted with GPG.

%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/MailDocumentation
%doc TODO Hacks License Contributors README docs/FAQ
%{_mandir}/man*/MailDocumentation.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Fri Jun 19 2015 Alain Williams <addw@phcomp.co.uk>
- Fix mismatched quotes
* Fri Mar 14 2014 Alain Williams <addw@phcomp.co.uk>
- Also collect from /proc/ cpuinfo ioports interrupts cmdline modules mounts -- if there
- Add blkid, lsblk, udisks & findmnt. Tidy the way that the existance of some commands is found
* Fri Jun 01 2012 Alain Williams <addw@phcomp.co.uk>
- Replace method for determining mirror config - fix bug where current method produced /dev/md/0 instead of /dev/md0
* Wed Dec 14 2011 Alain Williams <addw@phcomp.co.uk>
- Mutt -a option must now be the last one. gpg needs --default-recipient not --recipient. Add hdparm dependency.
* Mon Dec 27 2010 Alain Williams <addw@phcomp.co.uk>
- Wrap up small changes: Documentation mainly, also improve argument processing
* Thu Jul 30 2009 Alain Williams <addw@phcomp.co.uk>
- Add -t option -- trigger files
  Latest attempt on parsing --help
* Wed Jul 29 2009 Alain Williams <addw@phcomp.co.uk>
- Ensure that $PATH contains /sbin:/usr/sbin - failed on some systems
  More documentation, including a FAQ. Mainly on gpg.
* Fri Jul 24 2009 Alain Williams <addw@phcomp.co.uk>
- Add -i option -- generate system information.
  Correct processing of --help, add URL to usage message.
* Mon Feb 2 2009 Alain Williams <addw@phcomp.co.uk>
- First as RPM.
